Bug 187743 - httpd+php crash
httpd+php crash
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 08:49 EDT by georges poropat
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-14 10:46:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 36880 None None None Never

  None (edit)
Description georges poropat 2006-04-03 08:49:05 EDT
Description of problem: 

I Installed Oracle 10.2.0.2g which works fine.
Then I installed the Apache+php which fail when
I call the OCIlogon function.
The result is always a Segmentation fault in httpd error_log file:

the message is "child pid XXXXX exit signal segmentation fault (11)" 

It happens onlmy if I use php with apache, if I use php in CLI
version, no bug occurs and I could connect to my database.

The phpinfo() function shows environment variables are set correctly
(as $ORACLE_HOME, and $NLS_LANG)


Version-Release number of selected component (if applicable):

httpd-2.0.52 downloaded on redhat site
php 4.3.9  downloaded on redhat site
Oracle10g version 10.2.0.2

How reproducible:

Each time I use the OCIlogon function in a php page and usin with apache

Steps to Reproduce:

none
  
Actual results:


Expected results:


Additional info:
Comment 1 Joe Orton 2006-12-14 10:46:10 EST
The "oci8" extension is not supported in the Red Hat php package.

Note You need to log in before you can comment on or make changes to this bug.